> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get stream ffprobe

> Aggregates data for the specified video stream in the specified time
interval. "interval" and "units" params working together to point
aggregation interval.

You can use this method to watch when stream was alive in time, and when it was off.



## OpenAPI

````yaml /api-reference/services_documented/streaming_api.yaml get /streaming/statistics/ffprobe
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Streaming API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: AI
    x-displayName: AI
  - name: Broadcasts
    x-displayName: Broadcasts
  - name: Directories
    x-displayName: Directories
  - name: Overlays
    x-displayName: Overlays
  - name: Players
    x-displayName: Players
  - name: Playlists
    x-displayName: Playlists
  - name: QualitySets
    x-displayName: QualitySets
  - name: Restreams
    x-displayName: Restreams
  - name: Streaming Statistics
    x-displayName: Statistics
  - name: Streams
    x-displayName: Streams
  - name: Subtitles
    x-displayName: Subtitles
  - name: Videos
    x-displayName: Videos
paths:
  /streaming/statistics/ffprobe:
    get:
      tags:
        - Streaming Statistics
      summary: Get stream ffprobe
      description: >-
        Aggregates data for the specified video stream in the specified time

        interval. "interval" and "units" params working together to point

        aggregation interval.


        You can use this method to watch when stream was alive in time, and when
        it was off.
      operationId: getFfprobe
      parameters:
        - name: date_from
          in: query
          required: true
          description: Start of time frame. Format is ISO 8601.
          schema:
            type: string
          example: '2024-05-01T00:00:00Z'
        - name: date_to
          in: query
          required: true
          description: End of time frame. Datetime in ISO 8601 format.
          schema:
            type: string
          example: '2024-05-31T23:59:59Z'
        - name: stream_id
          in: query
          required: true
          description: Stream ID
          schema:
            type: string
          example: 12345
        - name: interval
          in: query
          schema:
            type: integer
            default: 10
          example: 6000
        - name: units
          in: query
          schema:
            type: string
            enum:
              - second
              - minute
              - hour
              - day
              - week
              - month
            default: second
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ffprobe'
        '400':
          $ref: '#/components/responses/error_bad_request'
        '500':
          $ref: '#/components/responses/error_internal_server'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            ffprobes = client.streaming.statistics.get_ffprobes(
                date_from="date_from",
                date_to="date_to",
                stream_id="stream_id",
            )
            print(ffprobes.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/option\"\n\t\"github.com/G-Core/gcore-go/streaming\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tffprobes, err := client.Streaming.Statistics.GetFfprobes(context.TODO(), streaming.StatisticGetFfprobesParams{\n\t\tDateFrom: \"date_from\",\n\t\tDateTo:   \"date_to\",\n\t\tStreamID: \"stream_id\",\n\t})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", ffprobes.Data)\n}\n"
components:
  schemas:
    ffprobe:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            required:
              - time
              - avg_bitrate
              - sum_frames
              - max_height
              - max_fps
              - max_keyframe_interval
            properties:
              time:
                type: string
              avg_bitrate:
                type: number
              sum_frames:
                type: integer
              max_height:
                type: integer
              max_fps:
                type: number
              max_keyframe_interval:
                type: integer
      example:
        data:
          - time: '2006-01-02 15:04:05'
            avg_bitrate: 3500.5
            sum_frames: 500
            max_height: 1080
            max_fps: 25
            max_keyframe_interval: 1
    error_common:
      required:
        - data
        - errors
      type: object
      properties:
        data:
          type: array
          items:
            type: string
        errors:
          type: array
          items:
            type: string
  responses:
    error_bad_request:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error_common'
          examples:
            missingParam:
              summary: Missing query param
              value:
                data: []
                errors:
                  - 'from: query param is not set'
    error_internal_server:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error_common'
          examples:
            internalServerError:
              summary: Internal Server Error
              value:
                data: []
                errors:
                  - internal server error
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````